aboutsummaryrefslogtreecommitdiff
path: root/po
diff options
context:
space:
mode:
Diffstat (limited to 'po')
-rwxr-xr-xpo/make-template.sh47
-rw-r--r--po/sdtui.pot110
2 files changed, 157 insertions, 0 deletions
diff --git a/po/make-template.sh b/po/make-template.sh
new file mode 100755
index 0000000..d34c8d0
--- /dev/null
+++ b/po/make-template.sh
@@ -0,0 +1,47 @@
+#!/bin/sh
+# This shell script generates the translation template.
+#
+# The reason for this not being inside CMakeLists.txt
+# is that the translator should not need to run the whole
+# configuration process just to get this single stupid file.
+
+# Get the directory this script resides in so that the user
+# doesn't have to run the script from there
+DIR=$(dirname $0)
+
+# Collect source files
+SOURCES=$(echo $DIR/../src/*.c)
+
+# Get the package name from CMakeLists.txt
+PACKAGE=$(sed -n '/^[ \t]*project[ \t]*([ \t]*\([^ \t)]\{1,\}\).*).*/{s//\1/p;q}' \
+ $DIR/../CMakeLists.txt)
+
+# Get the package version from CMakeLists.txt
+EXP_BEG='/^[ \t]*set[ \t]*([ \t]*project_VERSION_'
+EXP_END='[ \t]\{1,\}"\{0,1\}\([^)"]\{1,\}\)"\{0,1\}).*/{s//\1/p;q}'
+
+MAJOR=$(sed -n "${EXP_BEG}MAJOR${EXP_END}" $DIR/../CMakeLists.txt)
+MINOR=$(sed -n "${EXP_BEG}MINOR${EXP_END}" $DIR/../CMakeLists.txt)
+PATCH=$(sed -n "${EXP_BEG}PATCH${EXP_END}" $DIR/../CMakeLists.txt)
+
+if [ "$MAJOR" != "" ]; then
+ VERSION=$MAJOR
+ if [ "$MINOR" != "" ]; then
+ VERSION=$VERSION.$MINOR
+ if [ "$PATCH" != "" ]; then
+ VERSION=$VERSION.$PATCH
+ fi
+ fi
+fi
+
+if [ -z "$PACKAGE" -o -z "$VERSION" ]; then
+ echo "Failed to get information from CMakeLists.txt"
+ exit 1
+fi
+
+# Finally make the template
+xgettext -LC -k_ -kN_ $SOURCES -o "$DIR/$PACKAGE.pot" \
+ --package-name="$PACKAGE" --package-version="$VERSION" \
+ --copyright-holder="Přemysl Janouch" \
+ --msgid-bugs-address="https://github.com/pjanouch/$PACKAGE/issues"
+
diff --git a/po/sdtui.pot b/po/sdtui.pot
new file mode 100644
index 0000000..7e71091
--- /dev/null
+++ b/po/sdtui.pot
@@ -0,0 +1,110 @@
+# SOME DESCRIPTIVE TITLE.
+# Copyright (C) 2013 Přemysl Janouch
+# This file is distributed under the same license as the sdtui package.
+# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
+#
+#, fuzzy
+msgid ""
+msgstr ""
+"Project-Id-Version: sdtui 0.1.0\n"
+"Report-Msgid-Bugs-To: https://github.com/pjanouch/sdtui/issues\n"
+"POT-Creation-Date: 2013-05-19 04:58+0200\n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: LANGUAGE <LL@li.org>\n"
+"Language: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#: ../src/sdtui.c:230
+msgid "error in entry"
+msgstr ""
+
+#: ../src/sdtui.c:249
+msgid "no usable field found"
+msgstr ""
+
+#: ../src/sdtui.c:295
+msgid "Error loading dictionary"
+msgstr ""
+
+#: ../src/sdtui.c:308
+msgid "Search"
+msgstr ""
+
+#: ../src/sdtui.c:440
+msgid "Terminal UI for StarDict dictionaries"
+msgstr ""
+
+#: ../src/sdtui.c:443
+msgid "Type to search"
+msgstr ""
+
+#: ../src/sdtui.c:1054
+msgid "Output version information and exit"
+msgstr ""
+
+#: ../src/sdtui.c:1067
+msgid "dictionary.ifo - StarDict terminal UI"
+msgstr ""
+
+#: ../src/sdtui.c:1072
+msgid "Error"
+msgstr ""
+
+#: ../src/sdtui.c:1072
+msgid "option parsing failed"
+msgstr ""
+
+#: ../src/stardict.c:136
+msgid "invalid header format"
+msgstr ""
+
+#: ../src/stardict.c:268
+msgid "version not specified"
+msgstr ""
+
+#: ../src/stardict.c:279
+msgid "invalid version"
+msgstr ""
+
+#: ../src/stardict.c:294
+msgid "unknown key, ignoring"
+msgstr ""
+
+#: ../src/stardict.c:311
+msgid "invalid integer"
+msgstr ""
+
+#: ../src/stardict.c:321
+msgid "option format error"
+msgstr ""
+
+#: ../src/stardict.c:331
+msgid "no book name specified"
+msgstr ""
+
+#: ../src/stardict.c:337
+msgid "word count not specified"
+msgstr ""
+
+#: ../src/stardict.c:343
+msgid "index file size not specified"
+msgstr ""
+
+#: ../src/stardict.c:352
+msgid "invalid index offset bits"
+msgstr ""
+
+#: ../src/stardict.c:679
+msgid "cannot find .idx file"
+msgstr ""
+
+#: ../src/stardict.c:702
+msgid "cannot find .dict file"
+msgstr ""
+
+#: ../src/stardict.c:861 ../src/stardict.c:886
+msgid "invalid data entry"
+msgstr ""